Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.util
Interface JNDINames

public interface JNDINames

JNDI name constants

Field Summary
`static java.lang.String` | `BBE_DATASOURCE` JNDI name for the main data source
`static java.lang.String` | `BBE_XADATASOURCE` JNDI name for the XA data source
`static java.lang.String` | `EJB_LOCAL_REF_MASTER` JNDI name for the MasterControllerLocal
`static java.lang.String` | `EJB_REF_BATCHREPORTGENERATOR` JNDI name for the BatchReportGeneratorRemote
`static java.lang.String` | `EJB_REF_CODELOOKUP` JNDI name for the CodeLookupRemote
`static java.lang.String` | `EJB_REF_MASTER` JNDI name for the MasterControllerRemote
`static java.lang.String` | `EJB_REF_PAGEDATA` JNDI name for the PageDataRemote
`static java.lang.String` | `EJB_REF_REPORTGENERATOR` JNDI name for the ReportGeneratorRemote
`static java.lang.String` | `EJB_SEQUENCE` JNDI name for the MasterControllerLocal
`static java.lang.String` | `OUTBOUND_TOPIC_CONN_FACTORY` JNDI name for the OuntBound TopicConnectionFactory
`static java.lang.String` | `SEQ_DATASOURCE` JNDI name for the sequence data source

Field Detail

### BBE_DATASOURCE

    public static final java.lang.String BBE_DATASOURCE

  JNDI name for the main data source

  See Also:
    Constant Field Values

### BBE_XADATASOURCE

    public static final java.lang.String BBE_XADATASOURCE

  JNDI name for the XA data source

  See Also:
    Constant Field Values

### EJB_LOCAL_REF_MASTER

    public static final java.lang.String EJB_LOCAL_REF_MASTER

  JNDI name for the MasterControllerLocal

  See Also:
    Constant Field Values

### EJB_REF_BATCHREPORTGENERATOR

    public static final java.lang.String EJB_REF_BATCHREPORTGENERATOR

  JNDI name for the BatchReportGeneratorRemote

  See Also:
    Constant Field Values

### EJB_REF_CODELOOKUP

    public static final java.lang.String EJB_REF_CODELOOKUP

  JNDI name for the CodeLookupRemote

  See Also:
    Constant Field Values

### EJB_REF_MASTER

    public static final java.lang.String EJB_REF_MASTER

  JNDI name for the MasterControllerRemote

  See Also:
    Constant Field Values

### EJB_REF_PAGEDATA

    public static final java.lang.String EJB_REF_PAGEDATA

  JNDI name for the PageDataRemote

  See Also:
    Constant Field Values

### EJB_REF_REPORTGENERATOR

    public static final java.lang.String EJB_REF_REPORTGENERATOR

  JNDI name for the ReportGeneratorRemote

  See Also:
    Constant Field Values

### EJB_SEQUENCE

    public static final java.lang.String EJB_SEQUENCE

  JNDI name for the MasterControllerLocal

  See Also:
    Constant Field Values

### OUTBOUND_TOPIC_CONN_FACTORY

    public static final java.lang.String OUTBOUND_TOPIC_CONN_FACTORY

  JNDI name for the OuntBound TopicConnectionFactory

  See Also:
    Constant Field Values

### SEQ_DATASOURCE

    public static final java.lang.String SEQ_DATASOURCE

  JNDI name for the sequence data source

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.